Package picard.fingerprint

## Class FingerprintUtils

- java.lang.Object
- - picard.fingerprint.FingerprintUtils

-     public class FingerprintUtils
      extends Object

  A set of utilities used in the fingerprinting environment

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FingerprintUtils.VariantContextSet` | A class that holds VariantContexts sorted by genomic position

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FingerprintUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FingerprintUtils.VariantContextSet` | `createVCSetFromFingerprint​(Fingerprint fingerPrint, htsjdk.samtools.reference.ReferenceSequenceFile reference, String sample)` | A utility function that takes a fingerprint and returns a VariantContextSet with variants representing the haplotypes in the fingerprint
    `static void` | `writeFingerPrint​(Fingerprint fingerprint, File outputFile, File referenceSequenceFileName, String sample, String source)` | A function that takes a Fingerprint and writes it as a VCF to a file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FingerprintUtils

          public FingerprintUtils()

  - ### Method Detail

    - #### writeFingerPrint

          public static void writeFingerPrint​(Fingerprint fingerprint,
                                              File outputFile,
                                              File referenceSequenceFileName,
                                              String sample,
                                              String source)
                                       throws IOException

      A function that takes a Fingerprint and writes it as a VCF to a file
      Parameters:
        `fingerprint` - the fingerprint to write
        `outputFile` - the file to write to
        `referenceSequenceFileName` - the reference sequence (file)
        `sample` - the sample name to use in the vcf
        `source` - a "source" comment to use in the VCF
      Throws:
        `IOException`

    - #### createVCSetFromFingerprint

          public static FingerprintUtils.VariantContextSet createVCSetFromFingerprint​(Fingerprint fingerPrint,
                                                                                      htsjdk.samtools.reference.ReferenceSequenceFile reference,
                                                                                      String sample)

      A utility function that takes a fingerprint and returns a VariantContextSet with variants representing the haplotypes in the fingerprint
      Parameters:
        `fingerPrint` - A fingerprint
        `reference` - A reference sequence that will be used to create the VariantContexts
        `sample` - A sample name that will be used for the genotype field
      Returns:
        VariantContextSet with variants representing the haplotypes in the fingerprint